## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.10.0
%bcond_without check

# https://github.com/elves/elvish
%global goipath         src.elv.sh
%global forgeurl        https://github.com/elves/elvish
Version:                0.21.0

%gometa -L -f

%global common_description %{expand:
Powerful scripting language & Versatile interactive shell.}

Name:           elvish
Release:        %autorelease
Summary:        Powerful scripting language & Versatile interactive shell

License:        EPL-1.0 AND BSD-2-Clause AND BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}
Patch0:         https://github.com/elves/elvish/commit/d92693380e4998ad250700aeff8f6229cf20ab7f.patch

Provides:       golang-github-elves-elvish = %{version}-%{release}
Obsoletes:      golang-github-elves-elvish < 0.15.0-12

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

mv pkg/diff/LICENSE pkg-diff-LICENSE
mv pkg/md/spec/LICENSE pkg-md-spec-LICENSE
mv pkg/persistent/LICENSE pkg-persistent-LICENSE
mv pkg/rpc/LICENSE pkg-rpc-LICENSE
mv vscode/LICENSE vscode-LICENSE

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/elvish %{goipath}/cmd/elvish

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}

# timed out waiting for daemon to start
%ifarch ppc64le
%gocheck -d pkg/shell
%else
%gocheck
%endif
%else

%endif

%files
%license LICENSE pkg-diff-LICENSE pkg-md-spec-LICENSE
%license pkg-persistent-LICENSE pkg-rpc-LICENSE vscode-LICENSE
%doc README.md docs/security.md docs/contributing.md
%{_bindir}/elvish

%changelog
* Thu Aug 15 2024 Felix Wang <topazus@outlook.com> None-9
- fix test on ppc64le

* Thu Aug 15 2024 topazus <topazus@outlook.com> None-8
- Fix test for s390x; fix doc file

* Thu Aug 15 2024 topazus <topazus@outlook.com> None-7
- fix doc files location

* Thu Aug 15 2024 topazus <topazus@outlook.com> None-6
- 0.21.0

* Fri Aug 02 2024 topazus <topazus@outlook.com> None-5
- fix tests

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> None-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Apr 22 2024 topazus <topazus@outlook.com> None-3
- fix test on ppc64le of f40 and f39

* Mon Apr 22 2024 topazus <topazus@outlook.com> None-2
- initial import; rhbz#2276356
